Name:       reprepro
Version:    5.3.0
Release:    %mkrel 3
Group:      System/Servers
Summary:    Tool to handle local repositories of Debian packages
# filecntl.c, md5.c, md5.h are Public Domain
# dpkgversions.c is GPLv2+
# docs/sftp.py is MIT
# Rest is GPLv2
License:    GPLv2 and GPLv2+ and MIT
URL:        http://mirrorer.alioth.debian.org/
# We use the Ubuntu URL here because upstream has not posted the latest release
# to alioth, and it's not clear if they will ever do so.
Source0:    https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.orig.tar.gz
BuildRequires: db5-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: gpgme-devel
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(liblzma)

%description
reprepro is a tool to manage a repository of Debian packages (.deb).  It
stores files either being injected manually or downloaded from some other
repository (partially) mirrored into one pool/ hierarchy.  Managed packages
and files are stored in a Berkeley DB, so no database server is needed.
Checking signatures of mirrored repositories and creating signatures of the
generated Package indexes is supported.

%prep
%setup -q

# files in docs should not have executable permissions
find docs -type f -exec chmod -x {} +

# Remove py3 shebang since RHEL 7 does not provide /usr/bin/python3.
for f in docs/outstore.py docs/outsftphook.py; do
  sed -i -e 's|#!/usr/bin/python3|#!/usr/bin/python|' $f
done

%build
%configure

%make_build

%install
%make_install

pushd docs

# Shell completion files
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mv reprepro.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/reprepro
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions/
mv reprepro.zsh_completion %{buildroot}%{_datadir}/zsh/site-functions/_reprepro

rm Makefile{,.am,.in} changestool.1 rredtool.1 reprepro.1

# Note: Upstream sources contain tests/test.sh, but Fedora lacks some
# dependencies to run this.

%files
%license COPYING
%doc docs/ AUTHORS README NEWS
%{_mandir}/man1/changestool.1*
%{_mandir}/man1/reprepro.1*
%{_mandir}/man1/rredtool.1*
%{_bindir}/changestool
%{_bindir}/reprepro
%{_bindir}/rredtool
%{_datadir}/bash-completion/completions/reprepro
%{_datadir}/zsh/site-functions/_reprepro


%changelog
* Mon Dec 07 2020 tv <tv> 5.3.0-3.mga8
+ Revision: 1654254
- Build with db5.3 rather than with obsolete 4.8

* Thu Feb 20 2020 umeabot <umeabot> 5.3.0-2.mga8
+ Revision: 1546025
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1485709
- new version: 5.3.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 03 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1348879
- new version: 5.2.0

* Mon Dec 10 2018 daviddavid <daviddavid> 5.1.1-1.mga7
+ Revision: 1339878
- new version: 5.1.1
- fix owner of bash-completion dir and zsh_site-functions dir

* Sun Sep 23 2018 umeabot <umeabot> 4.17.0-2.mga7
+ Revision: 1300817
- Mageia 7 Mass Rebuild

* Mon Dec 19 2016 neoclust <neoclust> 4.17.0-1.mga6
+ Revision: 1076127
- imported package reprepro

